﻿html, body {
    font-family: 'Lato', sans-serif;
    --body-font: 'Lato', sans-serif;
    color: #4D4D4D;
    --font-weight: 400;
    --type-ramp-base-font-size: 16px;
    --type-ramp-base-line-height: 20px;
    --type-ramp-base-font-variations: "wght" 400, "opsz" 10.5;
    --type-ramp-minus-1-font-size: 12px;
    --type-ramp-minus-1-line-height: 16px;
    --type-ramp-minus-1-font-variations: "wght" 400, "opsz" 8;
    --type-ramp-minus-2-font-size: 10px;
    --type-ramp-minus-2-line-height: 14px;
    --type-ramp-minus-2-font-variations: "wght" 400, "opsz" 8;
    --type-ramp-plus-1-font-size: 18px;
    --type-ramp-plus-1-line-height: 24px;
    --type-ramp-plus-1-font-variations: "wght" 400, "opsz" 10.5;
    --type-ramp-plus-2-font-size: 22px;
    --type-ramp-plus-2-line-height: 28px;
    --type-ramp-plus-2-font-variations: "wght" 400, "opsz" 10.5;
    --type-ramp-plus-3-font-size: 25px;
    --type-ramp-plus-3-line-height: 33px;
    --type-ramp-plus-3-font-variations: "wght" 400, "opsz" 10.5;
    --type-ramp-plus-4-font-size: 28px;
    --type-ramp-plus-4-line-height: 36px;
    --type-ramp-plus-4-font-variations: "wght" 400, "opsz" 36;
    --type-ramp-plus-5-font-size: 32px;
    --type-ramp-plus-5-line-height: 40px;
    --type-ramp-plus-5-font-variations: "wght" 400, "opsz" 36;
    --type-ramp-plus-6-font-size: 40px;
    --type-ramp-plus-6-line-height: 52px;
    --type-ramp-plus-6-font-variations: "wght" 400, "opsz" 36;
    --accent-fill-rest: #85b851;
    --renderbody-padding-left: 1.0rem;
    /*    --navbarPassy-height: 20vh;
    --navbarPassy-height-small: 10vh;
    --mainPassy-height: 80vh;
    --mainPassy-height-big: 90vh;*/
    --navbarPassy-height: 115px;
    --navbarPassyHeader-height: 40px;
    --navbarPassyHeaderNav-height: 65px;
    --navbarPassy-height-small: 110px;
    --mainPassy-height: calc(100% - var(--navbarPassy-height));
    --mainPassy-height-big: calc(100% - var(--navbarPassy-height-small));
}

@font-face {
    font-family: 'Lato';
    font-style: normal;
    font-weight: 400;
    src: local('Lato Regular'), local('Lato-Regular'), url(https://fonts.gstatic.com/s/lato/v13/1YwB1sO8YE1Lyjf12WNiUA.woff2) format('woff2');
}

.displayForSuperUser {
    display: none !important;
}

.displayForSuperUser-visible{
    display: inherit;
    border: 1px solid red;
}
.displayForSuperUser-novisible {
    display: none !important;
}

.displayForSuperUser-visible::after {
    content: "Questo lo vedi perche sei un superUser";
    padding: 2px;
    display: none;
    position: fixed;
    top: 70px;
    right: -40px;
    width: 150px;
    text-align: center;
    background-color: #fef4c5;
    border: 1px solid #d4b943;
    -moz-border-radius: 2px;
    -webkit-border-radius: 2px;
    -ms-border-radius: 2px;
    border-radius: 5px;
}

.displayForSuperUser-visible:hover::after {
    display: block;
}


a {
    color: #4D4D4D;
}

    a:hover {
        text-decoration: none;
        color: #85b851;
    }

/**BOOTSTRAP OVERRIDE**/

.fa.fa-user, .fa.fa-times, .fa.fa-lock, .fa.fa-list, .fa.fa-pencil-square-o, .fa.fa-save {
    margin-left: 10px;
}



.img-responsive {
    border: 3px solid transparent !important;
    border-radius: 50%;
}

.img-responsive-active {
    border: 3px solid yellow !important;
    border-radius: 50%;
}

.ingrandisci-1-4 {
    font-size: 1.4em !important;
}

.ball {
    width: 45px;
    height: 45px;
    border-radius: 50px;
    border: 1px solid #85b851;
    color: #85b851;
}

    .ball div img {
        height: 49px;
        width: 49px;
        margin-top: -3px;
        margin-left: -3px;
    }

.activeBall {
    width: 45px;
    height: 45px;
    background-color: #85b851;
    border-radius: 50px;
    color: #FFF !important;
}

.contextMenuDiv {
    /*height: 40px;*/
    display: flex;
    flex-wrap: nowrap;
    flex-direction: row;
    justify-content: start;
    /*width: 80%;*/
    margin-top: 1rem;
    margin-right: 0px;
    margin-left: 2rem !important;
}

.contextMenuHeader {
    
    background-color: #85b851;
    color: #FFF;
    border-radius: 10px;
    padding: 0.5rem;
}

.contextMenuHeader a {
   text-decoration : none;
}

.mnuItem {
    background-color: #FFF;
    cursor: pointer;
}

    .mnuItem a {
        color: #4D4D4D;
    }

    .mnuItem:hover {
        background-color: #85b851;
        color: #FFF;
    }

        .mnuItem:hover a {
            color: #FFF;
        }

.border-passy {
    border: 1px solid #BCD95C;
}

.border-left-passy-4px {
    border-left: 4px solid #BCD95C !important;
}

.border-left-passy-10px {
    border-left: 10px solid #BCD95C !important;
}

.border-top-passy {
    border-top: 1px solid #BCD95C;
}

.bg-passy {
    /*
    background-color:#378C44;
    */
    background-color: #BCD95C;
    color: #121314;
}


table {
    background-color: transparent !important;
}

.dataTables_length select {
    border: 1px solid #DDD;
    border-radius: 3px;
    padding: 3px;
}

.dataTables_filter input {
    border: 1px solid #DDD;
    border-radius: 3px;
    padding: 3px;
}

.focusedRow {
    font-weight: bold;
    text-shadow: 1px 1px 0px #EEE;
    color: #378C44;
}

#menu_list li {
    cursor: pointer !important;
}

.menu a {
    text-decoration: none;
}


input, button, select, textarea {
    /* background-color: transparent !important;
    border: 0px solid !important;
    border-radius: 0px !important;
    width: 70px !important; */ /* commentato perché rendeva tutti i form del programma inutilizzabili. se fosse necessario applicare i 70px solo dove serve*/
}

/*
.home_element button {
    background-color: transparent !important;
    border: 0px solid !important;
    border-radius: 0px !important;
}
*/

.btn-default {
    padding-bottom: 6px !important;
    padding-top: 6px !important;
    padding-left: 12px !important;
    padding-right: 17px !important;
}

.button_user {
    padding-bottom: 6px !important;
    padding-top: 6px !important;
    padding-left: 14px !important;
    padding-right: 17px !important;
}


.btn-success {
    background-color: #85b851;
}

label {
    font-weight: normal;
}

.modal-footer {
    border-top: 1px solid #BCD95C;
}

.modal-header {
    border-bottom: 3px solid #BCD95C;
}

/*.modal-footer button {
    background-color: #FFF;
    color: black;
}*/

.table > thead > tr > th {
    border-bottom: 0px solid #ddd;
}

/*** GENERALI ***/

.footerVersion {
    background-color: transparent !important;
}

#userListActions {
    cursor: pointer !important;
}

#keysListActions > div {
    cursor: pointer !important;
}

#profileActions {
    cursor: pointer !important;
}

.error {
    color: #C1272D;
}

.success {
    color: #85b851;
}

.warning {
    color: #F4BA00;
}

.fa {
    color: #85b851;
}

.popup {
    padding: 10px;
    box-shadow: 0px 0px 5px #888888;
    background-color: white;
}

form.label-left label {
    text-align: left !important;
}

.pointer {
    cursor: pointer;
}

/**PAGINAZIONE **/
#paginazione {
    /*
    padding: 8px;
    padding-top: 60px;
    float: right; */
    position: absolute;
    bottom: -20px;
    right: 20px;
}

#paginazionepass {
    float: right;
    margin-top: 20px;
}



/*** LOGO E NOME UTENTE CON ICONA ***/
#logo {
    height: 35px;
    margin: 8px;
}

.resize-small #logo {
    height: 25px;
    margin: 5px;
}

#user_details {
    line-height: 60px;
    float: right;
    font-size: 1.5em;
    cursor: pointer;
}

#user_pic {
    height: 40px;
    width: 40px;
    margin-left: 10px;
    float: right;
    margin-top: 4px;
}

#user_pic_guest {
    height: 30px;
    width: 30px;
    float: left;
    margin-right: 10px;
}

#user_details_menu {
    position: absolute;
    z-index: 100;
    font-size: 0.8em;
    line-height: 2em;
    padding: 10px 20px;
    display: none;
    right: 12px;
    top: 48px;
}

    #user_details_menu > div {
        font-size: 0.7em;
        line-height: 1.6;
        border-bottom: 1px solid #85b851;
        margin-bottom: 12px;
        cursor: default;
    }

.top-nav {
    font-size: 16px;
}

    .top-nav > ul {
        list-style-type: none;
        padding: 0;
    }

        .top-nav > ul > li {
            float: left;
            margin-top: 20px;
            margin-right: 30px;
            color: #85b851;
        }

            .top-nav > ul > li > a.active {
                color: #85b851;
            }

nav .navbar-nav .nav-item.active > a {
    color: #85b851 !important;
    font-weight: 600 !important;
}


/*** POPUP DI ACCESSO ***/
#group_popupAccesso {
    /*position: absolute;*/
    right: 10px;
    z-index: 1000;
    top: 200px;
    position: fixed;
}

.popupAccesso {
    width: 300px;
    margin-bottom: 10px;
}

    .popupAccesso:after {
        content: '';
        display: block;
        clear: both;
    }

.popupAccesso_image, .popupAccesso_dati {
    float: left;
}

    .popupAccesso_image img {
        width: 70px;
        margin-right: 20px;
    }

    .popupAccesso_dati .title {
        font-size: 0.8em;
    }

    .popupAccesso_dati .nome, .popupAccesso_dati .info {
        font-size: 1.1em;
        line-height: 1.5em
    }

        .popupAccesso_dati .info img {
            width: 20px;
            margin-right: 5px
        }

/*** HEADER RIGA GRIGIA ***/
#header {
    background-color: #f2f2f2;
    font-size: 1.2em;
    overflow-x: hidden;
}

    #header > div:nth-child(1) {
        border-right: 2px solid #e6e6e6;
    }

    #header div.header_div {
        margin: 5px 0px;
    }

    #header #header_icons {
        color: #85b851;
        float: right;
    }

        #header #header_icons .icon,
        #header_icons .icon {
            float: left;
            border-radius: 20px;
            line-height: 27px;
            width: 27px;
            text-align: center;
            margin: 0px 2px;
        }

        #header #header_icons .active,
        #header_icons .active {
            background-color: #85b851;
        }

            #header #header_icons .active .fa,
            #header_icons .active .fa {
                color: white;
            }

/*** MENU LEFT ***/
#left_menu {
    min-height: 200px;
    padding-top: 10px;
    border-right: 2px solid #e6e6e6;
    max-height: 507px;
    overflow-y: scroll;
}

    #left_menu ul {
        padding-left: 0px;
        padding-right: 0px;
        padding-top: 0px;
        padding-bottom: 10px;
        list-style: none;
    }

#menu_list {
    margin-left: -15px;
}

    #menu_list li {
        border-left: 7px solid white;
        padding-left: 10px;
        padding-bottom: 10px;
        font-size: 1.1em;
    }

        #menu_list li.active {
            border-left-color: #BCD95C;
            padding-left: 10px;
            color: #85b851;
        }

#bottom_func {
    position: absolute;
    bottom: 10px;
    margin-bottom: 0px;
    list-style-type: none !important;
}

/*** BODY ***/
#center {
    padding-top: 10px;
}

    #center > div > div > div.elements {
        margin-bottom: 25px;
    }

.body_title {
    font-size: 1.5em;
    margin-bottom: 20px
}

    .body_title.active > a {
        color: #85b851;
    }



/*** TABLE ***/
.TableElenco {
    margin-top: 10px;
}

    .TableElenco th {
        border: 0px;
        border-left: 2px solid #d4d4d4;
        color: #9c9c9c;
        font-weight: normal;
    }

        .TableElenco th:first-child {
            border-left: 0px;
        }

    .TableElenco td, .TableElenco th {
        border-top: 0px !important;
        font-size: 1em;
        padding: 0px !important;
        padding-left: 8px !important;
    }

    .TableElenco td {
        padding-top: 10px !important;
        cursor: pointer;
    }

        .TableElenco td.icon {
            text-align: center;
        }

    .TableElenco tr.hover td {
        color: #85b851;
    }

    .TableElenco tr.click td {
        border-bottom: 2px solid #85b851 !important;
        color: #85b851;
    }

.TableList tr.click td {
    border-bottom: 2px solid #85b851 !important;
    color: #85b851;
}

.element_list {
    cursor: pointer;
}

    .element_list .hover {
        color: #85b851;
    }

.icon_float {
    float: left;
    margin-right: 5px;
    border-radius: 50%;
    background-color: #85b851;
    min-width: 26px;
    text-align: center;
    line-height: 1.4em;
    padding: 2px;
}

    .icon_float .fa {
        color: white;
    }

    .icon_float.blue {
        background-color: #29ABE2;
    }

    .icon_float.bluescuro {
        background-color: #0071BC;
    }

    .icon_float.red {
        background-color: red;
    }

/*** pag03-08-prog.html ***/
/*** ELEMENTS ***/
.elem_icon_box {
    padding: 5px 0px;
}

    .elem_icon_box.selected {
        background: linear-gradient(to top, #BCD95C 0%, #BCD95C 50%,#000000 50%,white 50%, white 100%);
    }

.elem_icons {
    color: white;
    text-align: center;
    height: 70px;
    width: 70px;
    margin: Auto;
}

    .elem_icons img {
        width: 100%;
    }

.home_element > div {
    line-height: 1.6em;
}

.home_element .title {
    font-size: 1.1em;
    font-weight: bold;
}

.home_element .info {
}

.home_element .status {
    font-size: 1.1em;
}

/*** ELEMENTS_ACTION ***/
#elements_action .fa {
    color: #BCD95C;
}

#elements_action a {
    font-size: 1.1em;
}

/*** SEARCH LOCATION ***/
#searchLocation .input-group-addon {
    background-color: transparent !important;
}

#searchLocationField {
    border-left: 0px;
}


/*** AGENDA ***/
#agenda {
    position: absolute;
    bottom: 10px;
}

#agenda_title {
    background-color: #f2f2f2;
    color: #808080;
    border-top: 1px solid #e6e6e6;
}

.agenda_riga {
    padding: 8px 15px;
    border: 1px solid #e6e6e6;
    font-size: 1.1em;
    border-top: 0px
}


/*** pag09-11-prog.html ***/
.scheda > div.row {
    line-height: 2.8em;
}

.scheda .etichetta {
    color: #808080;
}

.txt_upload_file {
    line-height: 2.3em;
    font-weight: normal
}

#myPic {
    z-index: 2000;
}

div.alberatura {
    border-right: 2px solid #e6e6e6;
}

/*** pag22prog.html ***/
.text-input {
    padding-top: 7px;
}

/*** pag 26-33prog.html ***/
.circle-profile {
    float: left;
    margin-right: 5px;
    width: 25px;
}

#userListActionsEdit, #userListActions {
    float: left;
    margin-left: 5px;
}

#TableReservationList {
    display: none;
    margin-top: 50px;
}

/*** pag 34-41prog.html ***/
#badgeListActionsEdit, #badgeListActions {
    float: left;
    margin-left: 5px;
}

#assignBadge .input-group-addon {
    background-color: transparent !important;
}

#assignBadgeField {
    border-left: 0px;
}

/*** pag 43-53prog.html ***/
.navbar {
    margin-bottom: 0px;
}

.navbarPassy {
    display: flex;
    flex-direction: column;
    /*height: var(--navbarPassy-height)*/
}

    .navbarPassy.resize-small {
        height: var(--navbarPassy-height-small);
        min-height: 90px;
    }

.mainPassy {
    height: var(--mainPassy-height);
   /* overflow-x: hidden;*/
    overflow-y: auto;
}

    .mainPassy.resize-big {
        height: var(--mainPassy-height-big);
    }

#GroupContainer > div.col-md-2 {
    text-align: center;
    margin-bottom: 40px;
}

#ConfigNewDiv {
    position: absolute;
    z-index: 100;
    line-height: 2em;
    padding: 10px 20px;
    display: none;
}

#assignRoomGroupField {
    border-left: 0px;
}

#NewGroup .input-group-addon {
    background-color: transparent !important;
}

#GroupContainerInfo {
    display: none;
}

#GroupContainer .col-md-2 {
    padding-left: 10px;
    padding-right: 10px;
    text-align: center;
}

#GroupContainer .box_img {
    padding: 5px;
}

    #GroupContainer .box_img .fa-star {
        position: absolute;
        right: 10%;
        color: #F4BA00;
        font-size: 1.5em;
    }

#GroupContainer .click .box_img {
    background: linear-gradient(to top, #BCD95C 0%, #BCD95C 50%,#000000 50%,white 50%, white 100%);
}

#MoveGroup ul {
    padding: 0px;
    list-style: none;
}

    #MoveGroup ul .tab {
        margin-left: 20px;
    }

    #MoveGroup ul li {
        border: 5px solid white;
        padding-left: 10px;
    }

#MoveGroup li.click {
    border-left-color: #BCD95C;
    color: #85b851;
}

/*** pag 54-58prog.html ***/

.nosedilink {
    color: white;
    cursor: pointer;
}

    .nosedilink:hover {
        text-decoration: none;
        color: #000;
    }


#DeviceContainerInfo {
    display: none;
}

#DeviceContainer .col-md-2 {
    padding-left: 10px;
    padding-right: 10px;
    text-align: center;
}

#DeviceContainer .box_img {
    padding: 5px;
}

#DeviceContainer .click .box_img {
    background: linear-gradient(to top, #BCD95C 0%, #BCD95C 50%,#000000 50%,white 50%, white 100%);
}

/*** pag 59-83prog.html ***/
.DeviceDetailsContainer .col-md-2 {
    padding-left: 10px;
    padding-right: 10px;
    text-align: center;
}

.DeviceDetailsContainer {
    position: absolute;
}

.beaconreader {
    padding: 5px;
    position: absolute;
    bottom: 20px;
}

.attentionIcon {
    padding: 5px;
    position: absolute;
    top: 0px;
    float: right;
}

.exclamationicons {
    padding: 5px;
    position: absolute;
    bottom: 20px;
}

/* .DeviceDetailsContainer .box_img clickSerratura {
        position: absolute;
        bottom: 5px;
        left: 5px;
    } */

.DeviceDetailsContainer .click .box_img {
    background: linear-gradient(to top, #BCD95C 0%, #BCD95C 50%,#000000 50%,white 50%, white 100%);
}

.DeviceDetailsContainer {
    margin-bottom: 20px;
}

#action_footer {
    text-align: center;
    position: absolute;
    bottom: 10px;
    height: 50px;
    width: 97%;
}

#searchLocation .input-group-addon {
    background-color: transparent !important;
}

#searchLocationField {
    border-left: 0px;
}

ul#simonvossMenu {
    padding: 0px;
    list-style: none;
    margin-bottom: 20px;
}

    ul#simonvossMenu li.active a {
        color: #85b851 !important;
        text-decoration: none;
    }




#newSimonVossLock table td {
    line-height: 34px;
}

#DevicedettagliContainerInfo {
    display: none;
}


/*Calendar e reservation*/

#menucalendar {
    margin-right: 20px;
}

.e-dialog > .e-header {
    border-bottom: 3px solid #85b851 !important;
}

.e-schedule .e-horizontalheader {
    border-bottom: 3px solid #85b851 !important;
}

.e-schedule .e-horizontmonthheaderdaytd {
    border-bottom: 3px solid #85b851 !important;
}

.e-schedule .e-activeview {
    background: #85b851 !important;
}

.e-schedule .e-monthcurrenttime {
    background: #85b851 !important;
}

.e-schedule .e-currentdayhighlight {
    background: #85b851 !important;
}

.e-schedule .e-horizontaltimetd {
    border-bottom: 3px solid #85b851 !important;
}

.e-schedule .e-horizontalalternatetd {
    border-bottom: 3px solid #85b851 !important;
}

.e-schedule .e-headercells {
    border-bottom: 3px solid #85b851 !important;
}

@font-face {
    font-family: 'Glyphicons Halflings';
    src: url('../fonts/glyphicons-halflings-regular.eot');
    src: url('../fonts/glyphicons-halflings-regular.eot?#iefix') format('embedded-opentype'), url('../fonts/glyphicons-halflings-regular.woff2') format('woff2'), url('../fonts/glyphicons-halflings-regular.woff') format('woff'), url('../fonts/glyphicons-halflings-regular.ttf') format('truetype'), url('../fonts/glyphicons-halflings-regular.svg#glyphicons_halflingsregular') format('svg');
}

.glyphicon {
    color: #85b851;
    position: relative;
    top: 1px;
    display: inline-block;
    font-family: 'Glyphicons Halflings';
    font-style: normal;
    font-weight: normal;
    line-height: 1;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
}

.glyphicon-asterisk:before {
    content: "\002a";
}

.glyphicon-plus:before {
    content: "\002b";
}

.glyphicon-euro:before,
.glyphicon-eur:before {
    content: "\20ac";
}

.glyphicon-minus:before {
    content: "\2212";
}

.glyphicon-cloud:before {
    content: "\2601";
}

.glyphicon-envelope:before {
    content: "\2709";
}

.glyphicon-pencil:before {
    content: "\270f";
}

.glyphicon-glass:before {
    content: "\e001";
}

.glyphicon-music:before {
    content: "\e002";
}

.glyphicon-search:before {
    content: "\e003";
}

.glyphicon-heart:before {
    content: "\e005";
}

.glyphicon-star:before {
    content: "\e006";
}

.glyphicon-star-empty:before {
    content: "\e007";
}

.glyphicon-user:before {
    content: "\e008";
}

.glyphicon-film:before {
    content: "\e009";
}

.glyphicon-th-large:before {
    content: "\e010";
}

.glyphicon-th:before {
    content: "\e011";
}

.glyphicon-th-list:before {
    content: "\e012";
}

.glyphicon-ok:before {
    content: "\e013";
}

.glyphicon-remove:before {
    content: "\e014";
}

.glyphicon-zoom-in:before {
    content: "\e015";
}

.glyphicon-zoom-out:before {
    content: "\e016";
}

.glyphicon-off:before {
    content: "\e017";
}

.glyphicon-signal:before {
    content: "\e018";
}

.glyphicon-cog:before {
    content: "\e019";
}

.glyphicon-trash:before {
    content: "\e020";
}

.glyphicon-home:before {
    content: "\e021";
}

.glyphicon-file:before {
    content: "\e022";
}

.glyphicon-time:before {
    content: "\e023";
}

.glyphicon-road:before {
    content: "\e024";
}

.glyphicon-download-alt:before {
    content: "\e025";
}

.glyphicon-download:before {
    content: "\e026";
}

.glyphicon-upload:before {
    content: "\e027";
}

.glyphicon-inbox:before {
    content: "\e028";
}

.glyphicon-play-circle:before {
    content: "\e029";
}

.glyphicon-repeat:before {
    content: "\e030";
}

.glyphicon-refresh:before {
    content: "\e031";
}

.glyphicon-list-alt:before {
    content: "\e032";
}

.glyphicon-lock:before {
    content: "\e033";
}

.glyphicon-flag:before {
    content: "\e034";
}

.glyphicon-headphones:before {
    content: "\e035";
}

.glyphicon-volume-off:before {
    content: "\e036";
}

.glyphicon-volume-down:before {
    content: "\e037";
}

.glyphicon-volume-up:before {
    content: "\e038";
}

.glyphicon-qrcode:before {
    content: "\e039";
}

.glyphicon-barcode:before {
    content: "\e040";
}

.glyphicon-tag:before {
    content: "\e041";
}

.glyphicon-tags:before {
    content: "\e042";
}

.glyphicon-book:before {
    content: "\e043";
}

.glyphicon-bookmark:before {
    content: "\e044";
}

.glyphicon-print:before {
    content: "\e045";
}

.glyphicon-camera:before {
    content: "\e046";
}

.glyphicon-font:before {
    content: "\e047";
}

.glyphicon-bold:before {
    content: "\e048";
}

.glyphicon-italic:before {
    content: "\e049";
}

.glyphicon-text-height:before {
    content: "\e050";
}

.glyphicon-text-width:before {
    content: "\e051";
}

.glyphicon-align-left:before {
    content: "\e052";
}

.glyphicon-align-center:before {
    content: "\e053";
}

.glyphicon-align-right:before {
    content: "\e054";
}

.glyphicon-align-justify:before {
    content: "\e055";
}

.glyphicon-list:before {
    content: "\e056";
}

.glyphicon-indent-left:before {
    content: "\e057";
}

.glyphicon-indent-right:before {
    content: "\e058";
}

.glyphicon-facetime-video:before {
    content: "\e059";
}

.glyphicon-picture:before {
    content: "\e060";
}

.glyphicon-map-marker:before {
    content: "\e062";
}

.glyphicon-adjust:before {
    content: "\e063";
}

.glyphicon-tint:before {
    content: "\e064";
}

.glyphicon-edit:before {
    content: "\e065";
}

.glyphicon-share:before {
    content: "\e066";
}

.glyphicon-check:before {
    content: "\e067";
}

.glyphicon-move:before {
    content: "\e068";
}

.glyphicon-step-backward:before {
    content: "\e069";
}

.glyphicon-fast-backward:before {
    content: "\e070";
}

.glyphicon-backward:before {
    content: "\e071";
}

.glyphicon-play:before {
    content: "\e072";
}

.glyphicon-pause:before {
    content: "\e073";
}

.glyphicon-stop:before {
    content: "\e074";
}

.glyphicon-forward:before {
    content: "\e075";
}

.glyphicon-fast-forward:before {
    content: "\e076";
}

.glyphicon-step-forward:before {
    content: "\e077";
}

.glyphicon-eject:before {
    content: "\e078";
}

.glyphicon-chevron-left:before {
    content: "\e079";
}

.glyphicon-chevron-right:before {
    content: "\e080";
}

.glyphicon-plus-sign:before {
    content: "\e081";
}

.glyphicon-minus-sign:before {
    content: "\e082";
}

.glyphicon-remove-sign:before {
    content: "\e083";
}

.glyphicon-ok-sign:before {
    content: "\e084";
}

.glyphicon-question-sign:before {
    content: "\e085";
}

.glyphicon-info-sign:before {
    content: "\e086";
}

.glyphicon-screenshot:before {
    content: "\e087";
}

.glyphicon-remove-circle:before {
    content: "\e088";
}

.glyphicon-ok-circle:before {
    content: "\e089";
}

.glyphicon-ban-circle:before {
    content: "\e090";
}

.glyphicon-arrow-left:before {
    content: "\e091";
}

.glyphicon-arrow-right:before {
    content: "\e092";
}

.glyphicon-arrow-up:before {
    content: "\e093";
}

.glyphicon-arrow-down:before {
    content: "\e094";
}

.glyphicon-share-alt:before {
    content: "\e095";
}

.glyphicon-resize-full:before {
    content: "\e096";
}

.glyphicon-resize-small:before {
    content: "\e097";
}

.glyphicon-exclamation-sign:before {
    content: "\e101";
}

.glyphicon-gift:before {
    content: "\e102";
}

.glyphicon-leaf:before {
    content: "\e103";
}

.glyphicon-fire:before {
    content: "\e104";
}

.glyphicon-eye-open:before {
    content: "\e105";
}

.glyphicon-eye-close:before {
    content: "\e106";
}

.glyphicon-warning-sign:before {
    content: "\e107";
}

.glyphicon-plane:before {
    content: "\e108";
}

.glyphicon-calendar:before {
    content: "\e109";
}

.glyphicon-random:before {
    content: "\e110";
}

.glyphicon-comment:before {
    content: "\e111";
}

.glyphicon-magnet:before {
    content: "\e112";
}

.glyphicon-chevron-up:before {
    content: "\e113";
}

.glyphicon-chevron-down:before {
    content: "\e114";
}

.glyphicon-retweet:before {
    content: "\e115";
}

.glyphicon-shopping-cart:before {
    content: "\e116";
}

.glyphicon-folder-close:before {
    content: "\e117";
}

.glyphicon-folder-open:before {
    content: "\e118";
}

.glyphicon-resize-vertical:before {
    content: "\e119";
}

.glyphicon-resize-horizontal:before {
    content: "\e120";
}

.glyphicon-hdd:before {
    content: "\e121";
}

.glyphicon-bullhorn:before {
    content: "\e122";
}

.glyphicon-bell:before {
    content: "\e123";
}

.glyphicon-certificate:before {
    content: "\e124";
}

.glyphicon-thumbs-up:before {
    content: "\e125";
}

.glyphicon-thumbs-down:before {
    content: "\e126";
}

.glyphicon-hand-right:before {
    content: "\e127";
}

.glyphicon-hand-left:before {
    content: "\e128";
}

.glyphicon-hand-up:before {
    content: "\e129";
}

.glyphicon-hand-down:before {
    content: "\e130";
}

.glyphicon-circle-arrow-right:before {
    content: "\e131";
}

.glyphicon-circle-arrow-left:before {
    content: "\e132";
}

.glyphicon-circle-arrow-up:before {
    content: "\e133";
}

.glyphicon-circle-arrow-down:before {
    content: "\e134";
}

.glyphicon-globe:before {
    content: "\e135";
}

.glyphicon-wrench:before {
    content: "\e136";
}

.glyphicon-tasks:before {
    content: "\e137";
}

.glyphicon-filter:before {
    content: "\e138";
}

.glyphicon-briefcase:before {
    content: "\e139";
}

.glyphicon-fullscreen:before {
    content: "\e140";
}

.glyphicon-dashboard:before {
    content: "\e141";
}

.glyphicon-paperclip:before {
    content: "\e142";
}

.glyphicon-heart-empty:before {
    content: "\e143";
}

.glyphicon-link:before {
    content: "\e144";
}

.glyphicon-phone:before {
    content: "\e145";
}

.glyphicon-pushpin:before {
    content: "\e146";
}

.glyphicon-usd:before {
    content: "\e148";
}

.glyphicon-gbp:before {
    content: "\e149";
}

.glyphicon-sort:before {
    content: "\e150";
}

.glyphicon-sort-by-alphabet:before {
    content: "\e151";
}

.glyphicon-sort-by-alphabet-alt:before {
    content: "\e152";
}

.glyphicon-sort-by-order:before {
    content: "\e153";
}

.glyphicon-sort-by-order-alt:before {
    content: "\e154";
}

.glyphicon-sort-by-attributes:before {
    content: "\e155";
}

.glyphicon-sort-by-attributes-alt:before {
    content: "\e156";
}

.glyphicon-unchecked:before {
    content: "\e157";
}

.glyphicon-expand:before {
    content: "\e158";
}

.glyphicon-collapse-down:before {
    content: "\e159";
}

.glyphicon-collapse-up:before {
    content: "\e160";
}

.glyphicon-log-in:before {
    content: "\e161";
}

.glyphicon-flash:before {
    content: "\e162";
}

.glyphicon-log-out:before {
    content: "\e163";
}

.glyphicon-new-window:before {
    content: "\e164";
}

.glyphicon-record:before {
    content: "\e165";
}

.glyphicon-save:before {
    content: "\e166";
}

.glyphicon-open:before {
    content: "\e167";
}

.glyphicon-saved:before {
    content: "\e168";
}

.glyphicon-import:before {
    content: "\e169";
}

.glyphicon-export:before {
    content: "\e170";
}

.glyphicon-send:before {
    content: "\e171";
}

.glyphicon-floppy-disk:before {
    content: "\e172";
}

.glyphicon-floppy-saved:before {
    content: "\e173";
}

.glyphicon-floppy-remove:before {
    content: "\e174";
}

.glyphicon-floppy-save:before {
    content: "\e175";
}

.glyphicon-floppy-open:before {
    content: "\e176";
}

.glyphicon-credit-card:before {
    content: "\e177";
}

.glyphicon-transfer:before {
    content: "\e178";
}

.glyphicon-cutlery:before {
    content: "\e179";
}

.glyphicon-header:before {
    content: "\e180";
}

.glyphicon-compressed:before {
    content: "\e181";
}

.glyphicon-earphone:before {
    content: "\e182";
}

.glyphicon-phone-alt:before {
    content: "\e183";
}

.glyphicon-tower:before {
    content: "\e184";
}

.glyphicon-stats:before {
    content: "\e185";
}

.glyphicon-sd-video:before {
    content: "\e186";
}

.glyphicon-hd-video:before {
    content: "\e187";
}

.glyphicon-subtitles:before {
    content: "\e188";
}

.glyphicon-sound-stereo:before {
    content: "\e189";
}

.glyphicon-sound-dolby:before {
    content: "\e190";
}

.glyphicon-sound-5-1:before {
    content: "\e191";
}

.glyphicon-sound-6-1:before {
    content: "\e192";
}

.glyphicon-sound-7-1:before {
    content: "\e193";
}

.glyphicon-copyright-mark:before {
    content: "\e194";
}

.glyphicon-registration-mark:before {
    content: "\e195";
}

.glyphicon-cloud-download:before {
    content: "\e197";
}

.glyphicon-cloud-upload:before {
    content: "\e198";
}

.glyphicon-tree-conifer:before {
    content: "\e199";
}

.glyphicon-tree-deciduous:before {
    content: "\e200";
}

.glyphicon-cd:before {
    content: "\e201";
}

.glyphicon-save-file:before {
    content: "\e202";
}

.glyphicon-open-file:before {
    content: "\e203";
}

.glyphicon-level-up:before {
    content: "\e204";
}

.glyphicon-copy:before {
    content: "\e205";
}

.glyphicon-paste:before {
    content: "\e206";
}

.glyphicon-alert:before {
    content: "\e209";
}

.glyphicon-equalizer:before {
    content: "\e210";
}

.glyphicon-king:before {
    content: "\e211";
}

.glyphicon-queen:before {
    content: "\e212";
}

.glyphicon-pawn:before {
    content: "\e213";
}

.glyphicon-bishop:before {
    content: "\e214";
}

.glyphicon-knight:before {
    content: "\e215";
}

.glyphicon-baby-formula:before {
    content: "\e216";
}

.glyphicon-tent:before {
    content: "\26fa";
}

.glyphicon-blackboard:before {
    content: "\e218";
}

.glyphicon-bed:before {
    content: "\e219";
}

.glyphicon-apple:before {
    content: "\f8ff";
}

.glyphicon-erase:before {
    content: "\e221";
}

.glyphicon-hourglass:before {
    content: "\231b";
}

.glyphicon-lamp:before {
    content: "\e223";
}

.glyphicon-duplicate:before {
    content: "\e224";
}

.glyphicon-piggy-bank:before {
    content: "\e225";
}

.glyphicon-scissors:before {
    content: "\e226";
}

.glyphicon-bitcoin:before {
    content: "\e227";
}

.glyphicon-btc:before {
    content: "\e227";
}

.glyphicon-xbt:before {
    content: "\e227";
}

.glyphicon-yen:before {
    content: "\00a5";
}

.glyphicon-jpy:before {
    content: "\00a5";
}

.glyphicon-ruble:before {
    content: "\20bd";
}

.glyphicon-rub:before {
    content: "\20bd";
}

.glyphicon-scale:before {
    content: "\e230";
}

.glyphicon-ice-lolly:before {
    content: "\e231";
}

.glyphicon-ice-lolly-tasted:before {
    content: "\e232";
}

.glyphicon-education:before {
    content: "\e233";
}

.glyphicon-option-horizontal:before {
    content: "\e234";
}

.glyphicon-option-vertical:before {
    content: "\e235";
}

.glyphicon-menu-hamburger:before {
    content: "\e236";
}

.glyphicon-modal-window:before {
    content: "\e237";
}

.glyphicon-oil:before {
    content: "\e238";
}

.glyphicon-grain:before {
    content: "\e239";
}

.glyphicon-sunglasses:before {
    content: "\e240";
}

.glyphicon-text-size:before {
    content: "\e241";
}

.glyphicon-text-color:before {
    content: "\e242";
}

.glyphicon-text-background:before {
    content: "\e243";
}

.glyphicon-object-align-top:before {
    content: "\e244";
}

.glyphicon-object-align-bottom:before {
    content: "\e245";
}

.glyphicon-object-align-horizontal:before {
    content: "\e246";
}

.glyphicon-object-align-left:before {
    content: "\e247";
}

.glyphicon-object-align-vertical:before {
    content: "\e248";
}

.glyphicon-object-align-right:before {
    content: "\e249";
}

.glyphicon-triangle-right:before {
    content: "\e250";
}

.glyphicon-triangle-left:before {
    content: "\e251";
}

.glyphicon-triangle-bottom:before {
    content: "\e252";
}

.glyphicon-triangle-top:before {
    content: "\e253";
}

.glyphicon-console:before {
    content: "\e254";
}

.glyphicon-superscript:before {
    content: "\e255";
}

.glyphicon-subscript:before {
    content: "\e256";
}

.glyphicon-menu-left:before {
    content: "\e257";
}

.glyphicon-menu-right:before {
    content: "\e258";
}

.glyphicon-menu-down:before {
    content: "\e259";
}

.glyphicon-menu-up:before {
    content: "\e260";
}

.form-group.required label:after {
    content: "*";
    color: red;
}